public interface SqlInstancesRotateServerCaRequestOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getBody()
public abstract InstancesRotateServerCaRequest getBody().google.cloud.sql.v1.InstancesRotateServerCaRequest body = 100;
| Returns | |
|---|---|
| Type | Description |
InstancesRotateServerCaRequest |
The body. |
getBodyOrBuilder()
public abstract InstancesRotateServerCaRequestOrBuilder getBodyOrBuilder().google.cloud.sql.v1.InstancesRotateServerCaRequest body = 100;
| Returns | |
|---|---|
| Type | Description |
InstancesRotateServerCaRequestOrBuilder |
|
getInstance()
public abstract String getInstance()Cloud SQL instance ID. This does not include the project ID.
string instance = 1;
| Returns | |
|---|---|
| Type | Description |
String |
The instance. |
getInstanceBytes()
public abstract ByteString getInstanceBytes()Cloud SQL instance ID. This does not include the project ID.
string instance = 1;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for instance. |
getProject()
public abstract String getProject()Project ID of the project that contains the instance.
string project = 2;
| Returns | |
|---|---|
| Type | Description |
String |
The project. |
getProjectBytes()
public abstract ByteString getProjectBytes()Project ID of the project that contains the instance.
string project = 2;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for project. |
hasBody()
public abstract boolean hasBody().google.cloud.sql.v1.InstancesRotateServerCaRequest body = 100;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the body field is set. |